/*
 * TaskEvent.java
 */

package com.builder.uk.todotasks;

/**
 * TasksEvent represents changes made to the Tasks contents
 * @author Dj
 */
public class TasksEvent {
    
    /**
     * enum to represent the type of task event
     */
    public enum TasksEventType { 
        /**
         * A new Task has appeared
         */
        NEW, 
        /**
         * A Task has been changed
         */
        CHANGED, 
        /**
         * A Task has been deleted
         */
        DELETED };
    
    TasksEventType taskEventType;
    Long taskId;
    Task task;
    
    /**
     * Creates a new instance of TaskEvent
     * @param taskEventType type of TaskEvent
     * @param taskId id of Task which has changed
     */
    public TasksEvent(TasksEventType taskEventType,Long  taskId) {
        this.taskEventType=taskEventType;
        this.taskId=taskId;
    }
    
    public TasksEvent(TasksEventType taskEventType,Task task)
    {
        this.taskEventType=taskEventType;
        this.task=task;
        this.taskId=task.getTaskId();
    }
}
